/**
 * Created by Administrator on 2016/9/2 0002.
 */
(function(){
  'use strict'

  angular
    .module('starter')
    .controller('ActivityCtrl',MainCtrl);

  function MainCtrl($httpFactory,$ionicLoading,$scope,$ionicHistory,RouteData,$state){
    {
      initActivity();
      $scope.toActivityInfo = toActivityInfo;
    }

    function toActivityInfo(activity){
      RouteData.transcript = {activity:activity}
      $state.go('app.activityInfo');
    }

    function initActivity(){
      var pageSize = 10;
      var currentPage = 1;
      var type = '1,2,3,4,5,6'
      $httpFactory.activity.list(pageSize,currentPage,type).then(function(res){
        if(res.data.result == 0){
          $scope.activityList = res.data.object;
        }else{
          $ionicLoading.show({template:res.data.message});
        }
      });
    }
  }
})();
