/**
 * Created by Administrator on 2016/9/2 0002.
 */

(function () {
  'use strict';

  angular
    .module('starter')
    .factory('AutoDivFactory', MainFactory);

  function MainFactory($http, $compile, $templateCache, $timeout) {

    {
      // _init();// 引入直接初始化
    }

    function _init() {
      //   $rootScope.customDialog = {};
      //   $rootScope.customDialog.open = _open;
    }

    /**
     * 弹出公共窗体div
     */
    function _open(templateUrl, $scope) {
      !templateUrl && (templateUrl = 'common/dialog/gold/gold.html');
      $http.get(templateUrl, ({cache: $templateCache} || {})).then(function (response) {
        // 1.获取 template 标签
        var goldEL = angular.element(response.data);

        // 1.2 更新金币数量
        // $scope.number = Math.floor(Math.random() * 5) + 1;
        $compile(goldEL)($scope);// 数据双向绑定

        // 2.动态添加template 标签
        angular.element(document).find('body').append(goldEL);

        // 动画结束后删除
        angular.element(document.querySelector('._slideDown'))
          .on("webkitAnimationEnd", function () {
            $timeout(function () {
              angular.element(document.querySelector('.gold_content')).addClass('gold_min')
                .on("webkitTransitionEnd", function () {
                  goldEL.remove();
                })
            });
          });

        // 3.1.5s后自动删除此标签
        $timeout(function () {
          goldEL.remove();
        }, 2000);
      });
    }

    var service = {
      init: _init,
      open: _open
    };
    return service;
  }
})
();
