/**
 * Created by Administrator on 2016/8/19 0019.
 */
(function () {
  'use strict';

  angular.module('starter')
    .factory('HomeDataFactory', MainFactory)

  function MainFactory() {

    // API(GET+token): http://test1.wosaitech.cn/sxb_service/service/knowPoint
    var _data = {
      "curRec": 3,
      "message": "获取成功",
      "object": [
        {
          "code": "1480",
          "id": 1206,
          "knowPoints": [
            {
              "code": "1481",
              "id": 1207,
              "knowPoints": [
                {
                  "code": "1505",
                  "id": 1231,
                  "knowPoints": [
                    {
                      "code": "1509",
                      "id": 1235,
                      "lever": 5,
                      "name": "为什么要测量",
                      "parentCode": "1505"
                    },
                    {
                      "code": "1510",
                      "id": 1236,
                      "lever": 5,
                      "name": "长度的测量",
                      "parentCode": "1505"
                    },
                    {
                      "code": "1511",
                      "id": 1237,
                      "lever": 5,
                      "name": "时间的测量",
                      "parentCode": "1505"
                    },
                    {
                      "code": "1512",
                      "id": 1238,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1505"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节长度和时间的测量",
                  "parentCode": "1481"
                },
                {
                  "code": "1506",
                  "id": 1232,
                  "knowPoints": [
                    {
                      "code": "1513",
                      "id": 1239,
                      "lever": 5,
                      "name": "形形色色的运动",
                      "parentCode": "1506"
                    },
                    {
                      "code": "1514",
                      "id": 1240,
                      "lever": 5,
                      "name": "机械运动和参照物",
                      "parentCode": "1506"
                    },
                    {
                      "code": "1515",
                      "id": 1241,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1506"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节运动的描述",
                  "parentCode": "1481"
                },
                {
                  "code": "1507",
                  "id": 1233,
                  "knowPoints": [
                    {
                      "code": "1516",
                      "id": 1242,
                      "lever": 5,
                      "name": "运动快慢的比较",
                      "parentCode": "1507"
                    },
                    {
                      "code": "1517",
                      "id": 1243,
                      "lever": 5,
                      "name": "速度",
                      "parentCode": "1507"
                    },
                    {
                      "code": "1518",
                      "id": 1244,
                      "lever": 5,
                      "name": "匀速直线运动",
                      "parentCode": "1507"
                    },
                    {
                      "code": "1519",
                      "id": 1245,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1507"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节运动的快慢",
                  "parentCode": "1481"
                },
                {
                  "code": "1508",
                  "id": 1234,
                  "knowPoints": [
                    {
                      "code": "1520",
                      "id": 1246,
                      "lever": 5,
                      "name": "平均速度",
                      "parentCode": "1508"
                    },
                    {
                      "code": "1521",
                      "id": 1247,
                      "lever": 5,
                      "name": "测量物体的平均速度",
                      "parentCode": "1508"
                    },
                    {
                      "code": "1522",
                      "id": 1248,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1508"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节测量平均速度",
                  "parentCode": "1481"
                }
              ],
              "lever": 3,
              "name": "第一章机械运动",
              "parentCode": "1480"
            },
            {
              "code": "1482",
              "id": 1208,
              "knowPoints": [
                {
                  "code": "1523",
                  "id": 1249,
                  "knowPoints": [
                    {
                      "code": "1527",
                      "id": 1253,
                      "lever": 5,
                      "name": "奇妙的声音",
                      "parentCode": "1523"
                    },
                    {
                      "code": "1528",
                      "id": 1254,
                      "lever": 5,
                      "name": "声音的产生",
                      "parentCode": "1523"
                    },
                    {
                      "code": "1529",
                      "id": 1255,
                      "lever": 5,
                      "name": "声音的传播",
                      "parentCode": "1523"
                    },
                    {
                      "code": "1530",
                      "id": 1256,
                      "lever": 5,
                      "name": "声速",
                      "parentCode": "1523"
                    },
                    {
                      "code": "1531",
                      "id": 1257,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1523"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节声音的产生与传播",
                  "parentCode": "1482"
                },
                {
                  "code": "1524",
                  "id": 1250,
                  "knowPoints": [
                    {
                      "code": "1532",
                      "id": 1258,
                      "lever": 5,
                      "name": "不同的声音",
                      "parentCode": "1524"
                    },
                    {
                      "code": "1533",
                      "id": 1259,
                      "lever": 5,
                      "name": "声音的特性",
                      "parentCode": "1524"
                    },
                    {
                      "code": "1534",
                      "id": 1260,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1524"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节声音的特性",
                  "parentCode": "1482"
                },
                {
                  "code": "1525",
                  "id": 1251,
                  "knowPoints": [
                    {
                      "code": "1535",
                      "id": 1261,
                      "lever": 5,
                      "name": "声音的利用",
                      "parentCode": "1525"
                    },
                    {
                      "code": "1536",
                      "id": 1262,
                      "lever": 5,
                      "name": "信息、能量与声",
                      "parentCode": "1525"
                    },
                    {
                      "code": "1537",
                      "id": 1263,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1525"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节声的利用",
                  "parentCode": "1482"
                },
                {
                  "code": "1526",
                  "id": 1252,
                  "knowPoints": [
                    {
                      "code": "1538",
                      "id": 1264,
                      "lever": 5,
                      "name": "烦人的噪声",
                      "parentCode": "1526"
                    },
                    {
                      "code": "1539",
                      "id": 1265,
                      "lever": 5,
                      "name": "噪声",
                      "parentCode": "1526"
                    },
                    {
                      "code": "1540",
                      "id": 1266,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1526"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节噪声的危害和控制",
                  "parentCode": "1482"
                }
              ],
              "lever": 3,
              "name": "第二章声现象",
              "parentCode": "1480"
            },
            {
              "code": "1483",
              "id": 1209,
              "knowPoints": [
                {
                  "code": "1541",
                  "id": 1267,
                  "knowPoints": [
                    {
                      "code": "1545",
                      "id": 1271,
                      "lever": 5,
                      "name": "冷和热",
                      "parentCode": "1541"
                    },
                    {
                      "code": "1546",
                      "id": 1272,
                      "lever": 5,
                      "name": "温度计",
                      "parentCode": "1541"
                    },
                    {
                      "code": "1547",
                      "id": 1273,
                      "lever": 5,
                      "name": "温度计的使用",
                      "parentCode": "1541"
                    },
                    {
                      "code": "1548",
                      "id": 1274,
                      "lever": 5,
                      "name": "体温计",
                      "parentCode": "1541"
                    },
                    {
                      "code": "1549",
                      "id": 1275,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1541"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节温度",
                  "parentCode": "1483"
                },
                {
                  "code": "1542",
                  "id": 1268,
                  "knowPoints": [
                    {
                      "code": "1550",
                      "id": 1276,
                      "lever": 5,
                      "name": "物态变化",
                      "parentCode": "1542"
                    },
                    {
                      "code": "1551",
                      "id": 1277,
                      "lever": 5,
                      "name": "熔化和凝固",
                      "parentCode": "1542"
                    },
                    {
                      "code": "1552",
                      "id": 1278,
                      "lever": 5,
                      "name": "熔点和凝固点",
                      "parentCode": "1542"
                    },
                    {
                      "code": "1553",
                      "id": 1279,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1542"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节熔化和凝固",
                  "parentCode": "1483"
                },
                {
                  "code": "1543",
                  "id": 1269,
                  "knowPoints": [
                    {
                      "code": "1554",
                      "id": 1280,
                      "lever": 5,
                      "name": "消失的水",
                      "parentCode": "1543"
                    },
                    {
                      "code": "1555",
                      "id": 1281,
                      "lever": 5,
                      "name": "汽化和液化",
                      "parentCode": "1543"
                    },
                    {
                      "code": "1556",
                      "id": 1282,
                      "lever": 5,
                      "name": "沸腾",
                      "parentCode": "1543"
                    },
                    {
                      "code": "1557",
                      "id": 1283,
                      "lever": 5,
                      "name": "蒸发",
                      "parentCode": "1543"
                    },
                    {
                      "code": "1558",
                      "id": 1284,
                      "lever": 5,
                      "name": "液化",
                      "parentCode": "1543"
                    },
                    {
                      "code": "1559",
                      "id": 1285,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1543"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节汽化和液化",
                  "parentCode": "1483"
                },
                {
                  "code": "1544",
                  "id": 1270,
                  "knowPoints": [
                    {
                      "code": "1560",
                      "id": 1286,
                      "lever": 5,
                      "name": "固态与气态",
                      "parentCode": "1544"
                    },
                    {
                      "code": "1561",
                      "id": 1287,
                      "lever": 5,
                      "name": "升华和凝华",
                      "parentCode": "1544"
                    },
                    {
                      "code": "1562",
                      "id": 1288,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1544"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节升华和凝华",
                  "parentCode": "1483"
                }
              ],
              "lever": 3,
              "name": "第三章物态变化",
              "parentCode": "1480"
            },
            {
              "code": "1484",
              "id": 1210,
              "knowPoints": [
                {
                  "code": "1565",
                  "id": 1291,
                  "knowPoints": [
                    {
                      "code": "1566",
                      "id": 1292,
                      "lever": 5,
                      "name": "光的世界",
                      "parentCode": "1565"
                    },
                    {
                      "code": "1567",
                      "id": 1293,
                      "lever": 5,
                      "name": "光的直线传播",
                      "parentCode": "1565"
                    },
                    {
                      "code": "1568",
                      "id": 1294,
                      "lever": 5,
                      "name": "光的传播速度",
                      "parentCode": "1565"
                    },
                    {
                      "code": "1569",
                      "id": 1295,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1565"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节光的直线传播",
                  "parentCode": "1484"
                },
                {
                  "code": "1570",
                  "id": 1296,
                  "knowPoints": [
                    {
                      "code": "1571",
                      "id": 1297,
                      "lever": 5,
                      "name": "光的反射",
                      "parentCode": "1570"
                    },
                    {
                      "code": "1572",
                      "id": 1298,
                      "lever": 5,
                      "name": "光的反射实验",
                      "parentCode": "1570"
                    },
                    {
                      "code": "1573",
                      "id": 1299,
                      "lever": 5,
                      "name": "镜面反射和漫反射",
                      "parentCode": "1570"
                    },
                    {
                      "code": "1574",
                      "id": 1300,
                      "lever": 5,
                      "name": "光路的可逆性",
                      "parentCode": "1570"
                    },
                    {
                      "code": "1575",
                      "id": 1301,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1570"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节光的反射",
                  "parentCode": "1484"
                },
                {
                  "code": "1576",
                  "id": 1302,
                  "knowPoints": [
                    {
                      "code": "1577",
                      "id": 1303,
                      "lever": 5,
                      "name": "镜子与倒影",
                      "parentCode": "1576"
                    },
                    {
                      "code": "1578",
                      "id": 1304,
                      "lever": 5,
                      "name": "平面镜成像实验",
                      "parentCode": "1576"
                    },
                    {
                      "code": "1579",
                      "id": 1305,
                      "lever": 5,
                      "name": "平面镜成虚像",
                      "parentCode": "1576"
                    },
                    {
                      "code": "1580",
                      "id": 1306,
                      "lever": 5,
                      "name": "平面镜的应用",
                      "parentCode": "1576"
                    },
                    {
                      "code": "1581",
                      "id": 1307,
                      "lever": 5,
                      "name": "凸面镜与凹面镜",
                      "parentCode": "1576"
                    },
                    {
                      "code": "1582",
                      "id": 1308,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1576"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节平面镜成像",
                  "parentCode": "1484"
                },
                {
                  "code": "1583",
                  "id": 1309,
                  "knowPoints": [
                    {
                      "code": "1584",
                      "id": 1310,
                      "lever": 5,
                      "name": "光的折射",
                      "parentCode": "1583"
                    },
                    {
                      "code": "1585",
                      "id": 1311,
                      "lever": 5,
                      "name": "生活的折射现象",
                      "parentCode": "1583"
                    },
                    {
                      "code": "1586",
                      "id": 1312,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1583"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节光的折射",
                  "parentCode": "1484"
                },
                {
                  "code": "1587",
                  "id": 1313,
                  "knowPoints": [
                    {
                      "code": "1588",
                      "id": 1314,
                      "lever": 5,
                      "name": "多彩的光",
                      "parentCode": "1587"
                    },
                    {
                      "code": "1589",
                      "id": 1315,
                      "lever": 5,
                      "name": "色散",
                      "parentCode": "1587"
                    },
                    {
                      "code": "1590",
                      "id": 1316,
                      "lever": 5,
                      "name": "色光混合",
                      "parentCode": "1587"
                    },
                    {
                      "code": "1591",
                      "id": 1317,
                      "lever": 5,
                      "name": "看不见的光",
                      "parentCode": "1587"
                    },
                    {
                      "code": "1592",
                      "id": 1318,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1587"
                    }
                  ],
                  "lever": 4,
                  "name": "第五节光的色散",
                  "parentCode": "1484"
                }
              ],
              "lever": 3,
              "name": "第四章光现象",
              "parentCode": "1480"
            },
            {
              "code": "1485",
              "id": 1211,
              "knowPoints": [
                {
                  "code": "1593",
                  "id": 1319,
                  "knowPoints": [
                    {
                      "code": "1594",
                      "id": 1320,
                      "lever": 5,
                      "name": "凸透镜和凹透镜",
                      "parentCode": "1593"
                    },
                    {
                      "code": "1595",
                      "id": 1321,
                      "lever": 5,
                      "name": "透镜对光的作用",
                      "parentCode": "1593"
                    },
                    {
                      "code": "1596",
                      "id": 1322,
                      "lever": 5,
                      "name": "焦点和焦距",
                      "parentCode": "1593"
                    },
                    {
                      "code": "1597",
                      "id": 1323,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1593"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节透镜",
                  "parentCode": "1485"
                },
                {
                  "code": "1598",
                  "id": 1324,
                  "knowPoints": [
                    {
                      "code": "1599",
                      "id": 1325,
                      "lever": 5,
                      "name": "透镜的应用",
                      "parentCode": "1598"
                    },
                    {
                      "code": "1600",
                      "id": 1326,
                      "lever": 5,
                      "name": "照相机和投影仪",
                      "parentCode": "1598"
                    },
                    {
                      "code": "1601",
                      "id": 1327,
                      "lever": 5,
                      "name": "放大镜",
                      "parentCode": "1598"
                    },
                    {
                      "code": "1602",
                      "id": 1328,
                      "lever": 5,
                      "name": "实像和虚像",
                      "parentCode": "1598"
                    },
                    {
                      "code": "1603",
                      "id": 1329,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1598"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节生活中的透镜",
                  "parentCode": "1485"
                },
                {
                  "code": "1604",
                  "id": 1330,
                  "knowPoints": [
                    {
                      "code": "1605",
                      "id": 1331,
                      "lever": 5,
                      "name": "影响凸透镜成像的因素",
                      "parentCode": "1604"
                    },
                    {
                      "code": "1606",
                      "id": 1332,
                      "lever": 5,
                      "name": "探究凸透镜成像规律",
                      "parentCode": "1604"
                    },
                    {
                      "code": "1607",
                      "id": 1333,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1604"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节凸透镜成像规律",
                  "parentCode": "1485"
                },
                {
                  "code": "1608",
                  "id": 1334,
                  "knowPoints": [
                    {
                      "code": "1609",
                      "id": 1335,
                      "lever": 5,
                      "name": "神奇的人眼",
                      "parentCode": "1608"
                    },
                    {
                      "code": "1610",
                      "id": 1336,
                      "lever": 5,
                      "name": "眼睛",
                      "parentCode": "1608"
                    },
                    {
                      "code": "1611",
                      "id": 1337,
                      "lever": 5,
                      "name": "眼球的结构",
                      "parentCode": "1608"
                    },
                    {
                      "code": "1612",
                      "id": 1338,
                      "lever": 5,
                      "name": "近视、远视及矫正",
                      "parentCode": "1608"
                    },
                    {
                      "code": "1613",
                      "id": 1339,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1608"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节眼睛和眼镜",
                  "parentCode": "1485"
                },
                {
                  "code": "1614",
                  "id": 1340,
                  "knowPoints": [
                    {
                      "code": "1615",
                      "id": 1341,
                      "lever": 5,
                      "name": "肉眼的延伸",
                      "parentCode": "1614"
                    },
                    {
                      "code": "1616",
                      "id": 1342,
                      "lever": 5,
                      "name": "显微镜",
                      "parentCode": "1614"
                    },
                    {
                      "code": "1617",
                      "id": 1343,
                      "lever": 5,
                      "name": "望远镜",
                      "parentCode": "1614"
                    },
                    {
                      "code": "1618",
                      "id": 1344,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1614"
                    }
                  ],
                  "lever": 4,
                  "name": "第五节显微镜和望远镜",
                  "parentCode": "1485"
                }
              ],
              "lever": 3,
              "name": "第五章透镜及其应用",
              "parentCode": "1480"
            },
            {
              "code": "1486",
              "id": 1212,
              "knowPoints": [
                {
                  "code": "1619",
                  "id": 1345,
                  "knowPoints": [
                    {
                      "code": "1620",
                      "id": 1346,
                      "lever": 5,
                      "name": "什么是质量",
                      "parentCode": "1619"
                    },
                    {
                      "code": "1621",
                      "id": 1347,
                      "lever": 5,
                      "name": "质量及质量的测量",
                      "parentCode": "1619"
                    },
                    {
                      "code": "1622",
                      "id": 1348,
                      "lever": 5,
                      "name": "天平使用",
                      "parentCode": "1619"
                    },
                    {
                      "code": "1623",
                      "id": 1349,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1619"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节质量",
                  "parentCode": "1486"
                },
                {
                  "code": "1624",
                  "id": 1350,
                  "knowPoints": [
                    {
                      "code": "1625",
                      "id": 1351,
                      "lever": 5,
                      "name": "棉花和铁块谁重？",
                      "parentCode": "1624"
                    },
                    {
                      "code": "1626",
                      "id": 1352,
                      "lever": 5,
                      "name": "探究同种物质的质量与体积的关系",
                      "parentCode": "1624"
                    },
                    {
                      "code": "1627",
                      "id": 1353,
                      "lever": 5,
                      "name": "密度",
                      "parentCode": "1624"
                    },
                    {
                      "code": "1628",
                      "id": 1354,
                      "lever": 5,
                      "name": "常见物质的密度",
                      "parentCode": "1624"
                    },
                    {
                      "code": "1629",
                      "id": 1355,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1624"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节密度",
                  "parentCode": "1486"
                },
                {
                  "code": "1630",
                  "id": 1356,
                  "knowPoints": [
                    {
                      "code": "1631",
                      "id": 1357,
                      "lever": 5,
                      "name": "真假金项链",
                      "parentCode": "1630"
                    },
                    {
                      "code": "1632",
                      "id": 1358,
                      "lever": 5,
                      "name": "量筒的使用",
                      "parentCode": "1630"
                    },
                    {
                      "code": "1633",
                      "id": 1359,
                      "lever": 5,
                      "name": "测量小石块和盐水的密度",
                      "parentCode": "1630"
                    },
                    {
                      "code": "1634",
                      "id": 1360,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1630"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节测量物质的密度",
                  "parentCode": "1486"
                },
                {
                  "code": "1635",
                  "id": 1361,
                  "knowPoints": [
                    {
                      "code": "1636",
                      "id": 1362,
                      "lever": 5,
                      "name": "机智的阿基米德",
                      "parentCode": "1635"
                    },
                    {
                      "code": "1637",
                      "id": 1363,
                      "lever": 5,
                      "name": "密度与温度",
                      "parentCode": "1635"
                    },
                    {
                      "code": "1638",
                      "id": 1364,
                      "lever": 5,
                      "name": "密度与物质鉴别",
                      "parentCode": "1635"
                    },
                    {
                      "code": "1639",
                      "id": 1365,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1635"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节密度与社会生活",
                  "parentCode": "1486"
                }
              ],
              "lever": 3,
              "name": "第六章质量和密度",
              "parentCode": "1480"
            }
          ],
          "lever": 2,
          "name": "八年级上",
          "parentCode": "1"
        },
        {
          "code": "1487",
          "id": 1213,
          "knowPoints": [
            {
              "code": "1490",
              "id": 1216,
              "knowPoints": [
                {
                  "code": "1640",
                  "id": 1366,
                  "knowPoints": [
                    {
                      "code": "1641",
                      "id": 1367,
                      "lever": 5,
                      "name": "生活中的力",
                      "parentCode": "1640"
                    },
                    {
                      "code": "1642",
                      "id": 1368,
                      "lever": 5,
                      "name": "力",
                      "parentCode": "1640"
                    },
                    {
                      "code": "1643",
                      "id": 1369,
                      "lever": 5,
                      "name": "力的作用效果",
                      "parentCode": "1640"
                    },
                    {
                      "code": "1644",
                      "id": 1370,
                      "lever": 5,
                      "name": "力的三要素和力的示意图",
                      "parentCode": "1640"
                    },
                    {
                      "code": "1645",
                      "id": 1371,
                      "lever": 5,
                      "name": "力的作用是相互的",
                      "parentCode": "1640"
                    },
                    {
                      "code": "1646",
                      "id": 1372,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1640"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节力",
                  "parentCode": "1490"
                },
                {
                  "code": "1647",
                  "id": 1373,
                  "knowPoints": [
                    {
                      "code": "1648",
                      "id": 1374,
                      "lever": 5,
                      "name": "认识弹力",
                      "parentCode": "1647"
                    },
                    {
                      "code": "1649",
                      "id": 1375,
                      "lever": 5,
                      "name": "弹力",
                      "parentCode": "1647"
                    },
                    {
                      "code": "1650",
                      "id": 1376,
                      "lever": 5,
                      "name": "弹簧测力计",
                      "parentCode": "1647"
                    },
                    {
                      "code": "1651",
                      "id": 1377,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1647"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节弹力",
                  "parentCode": "1490"
                },
                {
                  "code": "1652",
                  "id": 1378,
                  "knowPoints": [
                    {
                      "code": "1653",
                      "id": 1379,
                      "lever": 5,
                      "name": "重力的大小",
                      "parentCode": "1652"
                    },
                    {
                      "code": "1654",
                      "id": 1380,
                      "lever": 5,
                      "name": "重力的方向",
                      "parentCode": "1652"
                    },
                    {
                      "code": "1655",
                      "id": 1381,
                      "lever": 5,
                      "name": "重心",
                      "parentCode": "1652"
                    },
                    {
                      "code": "1656",
                      "id": 1382,
                      "lever": 5,
                      "name": "重力的由来",
                      "parentCode": "1652"
                    },
                    {
                      "code": "1657",
                      "id": 1383,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1652"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节重力",
                  "parentCode": "1490"
                }
              ],
              "lever": 3,
              "name": "第七章力",
              "parentCode": "1487"
            },
            {
              "code": "1491",
              "id": 1217,
              "knowPoints": [
                {
                  "code": "1658",
                  "id": 1384,
                  "knowPoints": [
                    {
                      "code": "1659",
                      "id": 1385,
                      "lever": 5,
                      "name": "生活中的物理",
                      "parentCode": "1658"
                    },
                    {
                      "code": "1660",
                      "id": 1386,
                      "lever": 5,
                      "name": "阻力对物体运动的影响",
                      "parentCode": "1658"
                    },
                    {
                      "code": "1661",
                      "id": 1387,
                      "lever": 5,
                      "name": "牛顿第一定律",
                      "parentCode": "1658"
                    },
                    {
                      "code": "1662",
                      "id": 1388,
                      "lever": 5,
                      "name": "惯性",
                      "parentCode": "1658"
                    },
                    {
                      "code": "1663",
                      "id": 1389,
                      "lever": 5,
                      "name": "课外扩展",
                      "parentCode": "1658"
                    },
                    {
                      "code": "1664",
                      "id": 1390,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1658"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节牛顿第一定律",
                  "parentCode": "1491"
                },
                {
                  "code": "1665",
                  "id": 1391,
                  "knowPoints": [
                    {
                      "code": "1666",
                      "id": 1392,
                      "lever": 5,
                      "name": "平衡状态",
                      "parentCode": "1665"
                    },
                    {
                      "code": "1667",
                      "id": 1393,
                      "lever": 5,
                      "name": "二力平衡的条件",
                      "parentCode": "1665"
                    },
                    {
                      "code": "1668",
                      "id": 1394,
                      "lever": 5,
                      "name": "平衡力与相互作用力比",
                      "parentCode": "1665"
                    },
                    {
                      "code": "1669",
                      "id": 1395,
                      "lever": 5,
                      "name": "二力平衡条件的应用",
                      "parentCode": "1665"
                    },
                    {
                      "code": "1670",
                      "id": 1396,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1665"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节二力平衡",
                  "parentCode": "1491"
                },
                {
                  "code": "1671",
                  "id": 1397,
                  "knowPoints": [
                    {
                      "code": "1672",
                      "id": 1398,
                      "lever": 5,
                      "name": "摩擦力",
                      "parentCode": "1671"
                    },
                    {
                      "code": "1673",
                      "id": 1399,
                      "lever": 5,
                      "name": "摩擦力的利用与防止",
                      "parentCode": "1671"
                    },
                    {
                      "code": "1674",
                      "id": 1400,
                      "lever": 5,
                      "name": "课外扩展",
                      "parentCode": "1671"
                    },
                    {
                      "code": "1675",
                      "id": 1401,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1671"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节摩擦力",
                  "parentCode": "1491"
                }
              ],
              "lever": 3,
              "name": "第八章运动和力",
              "parentCode": "1487"
            },
            {
              "code": "1492",
              "id": 1218,
              "knowPoints": [
                {
                  "code": "1676",
                  "id": 1402,
                  "knowPoints": [
                    {
                      "code": "1677",
                      "id": 1403,
                      "lever": 5,
                      "name": "压力",
                      "parentCode": "1676"
                    },
                    {
                      "code": "1678",
                      "id": 1404,
                      "lever": 5,
                      "name": "压强",
                      "parentCode": "1676"
                    },
                    {
                      "code": "1679",
                      "id": 1405,
                      "lever": 5,
                      "name": "怎样减小或增大压强",
                      "parentCode": "1676"
                    },
                    {
                      "code": "1680",
                      "id": 1406,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1676"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节压强",
                  "parentCode": "1492"
                },
                {
                  "code": "1681",
                  "id": 1407,
                  "knowPoints": [
                    {
                      "code": "1682",
                      "id": 1408,
                      "lever": 5,
                      "name": "液体压强的特点",
                      "parentCode": "1681"
                    },
                    {
                      "code": "1683",
                      "id": 1409,
                      "lever": 5,
                      "name": "液体压强的大小",
                      "parentCode": "1681"
                    },
                    {
                      "code": "1684",
                      "id": 1410,
                      "lever": 5,
                      "name": "连通器",
                      "parentCode": "1681"
                    },
                    {
                      "code": "1685",
                      "id": 1411,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1681"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节液体的压强",
                  "parentCode": "1492"
                },
                {
                  "code": "1686",
                  "id": 1412,
                  "knowPoints": [
                    {
                      "code": "1687",
                      "id": 1413,
                      "lever": 5,
                      "name": "大气压的存在",
                      "parentCode": "1686"
                    },
                    {
                      "code": "1688",
                      "id": 1414,
                      "lever": 5,
                      "name": "大气压的测量",
                      "parentCode": "1686"
                    },
                    {
                      "code": "1689",
                      "id": 1415,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1686"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节大气压强",
                  "parentCode": "1492"
                },
                {
                  "code": "1690",
                  "id": 1416,
                  "knowPoints": [
                    {
                      "code": "1691",
                      "id": 1417,
                      "lever": 5,
                      "name": "流体压强与流速的关系",
                      "parentCode": "1690"
                    },
                    {
                      "code": "1692",
                      "id": 1418,
                      "lever": 5,
                      "name": "飞机的升力",
                      "parentCode": "1690"
                    },
                    {
                      "code": "1693",
                      "id": 1419,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1690"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节流体压强与流速的关系",
                  "parentCode": "1492"
                }
              ],
              "lever": 3,
              "name": "第九章压强",
              "parentCode": "1487"
            },
            {
              "code": "1493",
              "id": 1219,
              "knowPoints": [
                {
                  "code": "1694",
                  "id": 1420,
                  "knowPoints": [
                    {
                      "code": "1695",
                      "id": 1421,
                      "lever": 5,
                      "name": "浮力",
                      "parentCode": "1694"
                    },
                    {
                      "code": "1696",
                      "id": 1422,
                      "lever": 5,
                      "name": "决定浮力大小的因素",
                      "parentCode": "1694"
                    },
                    {
                      "code": "1697",
                      "id": 1423,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1694"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节浮力",
                  "parentCode": "1493"
                },
                {
                  "code": "1698",
                  "id": 1424,
                  "knowPoints": [
                    {
                      "code": "1699",
                      "id": 1425,
                      "lever": 5,
                      "name": "阿基米德的灵感",
                      "parentCode": "1698"
                    },
                    {
                      "code": "1700",
                      "id": 1426,
                      "lever": 5,
                      "name": "浮力的大小",
                      "parentCode": "1698"
                    },
                    {
                      "code": "1701",
                      "id": 1427,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1698"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节阿基米德原理",
                  "parentCode": "1493"
                },
                {
                  "code": "1702",
                  "id": 1428,
                  "knowPoints": [
                    {
                      "code": "1703",
                      "id": 1429,
                      "lever": 5,
                      "name": "不同物体的沉浮",
                      "parentCode": "1702"
                    },
                    {
                      "code": "1704",
                      "id": 1430,
                      "lever": 5,
                      "name": "物体的浮沉条件",
                      "parentCode": "1702"
                    },
                    {
                      "code": "1705",
                      "id": 1431,
                      "lever": 5,
                      "name": "浮力的应用",
                      "parentCode": "1702"
                    },
                    {
                      "code": "1706",
                      "id": 1432,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1702"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节物体的浮沉条件及应用",
                  "parentCode": "1493"
                }
              ],
              "lever": 3,
              "name": "第十章浮力",
              "parentCode": "1487"
            },
            {
              "code": "1494",
              "id": 1220,
              "knowPoints": [
                {
                  "code": "1707",
                  "id": 1433,
                  "knowPoints": [
                    {
                      "code": "1708",
                      "id": 1434,
                      "lever": 5,
                      "name": "力的成效",
                      "parentCode": "1707"
                    },
                    {
                      "code": "1709",
                      "id": 1435,
                      "lever": 5,
                      "name": "力学中的功及计算",
                      "parentCode": "1707"
                    },
                    {
                      "code": "1710",
                      "id": 1436,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1707"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节功",
                  "parentCode": "1494"
                },
                {
                  "code": "1711",
                  "id": 1437,
                  "knowPoints": [
                    {
                      "code": "1712",
                      "id": 1438,
                      "lever": 5,
                      "name": "做功的快慢",
                      "parentCode": "1711"
                    },
                    {
                      "code": "1713",
                      "id": 1439,
                      "lever": 5,
                      "name": "功率",
                      "parentCode": "1711"
                    },
                    {
                      "code": "1714",
                      "id": 1440,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1711"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节功率",
                  "parentCode": "1494"
                },
                {
                  "code": "1715",
                  "id": 1441,
                  "knowPoints": [
                    {
                      "code": "1716",
                      "id": 1442,
                      "lever": 5,
                      "name": "能量",
                      "parentCode": "1715"
                    },
                    {
                      "code": "1717",
                      "id": 1443,
                      "lever": 5,
                      "name": "动能",
                      "parentCode": "1715"
                    },
                    {
                      "code": "1718",
                      "id": 1444,
                      "lever": 5,
                      "name": "势能",
                      "parentCode": "1715"
                    },
                    {
                      "code": "1719",
                      "id": 1445,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1715"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节动能和势能",
                  "parentCode": "1494"
                },
                {
                  "code": "1720",
                  "id": 1446,
                  "knowPoints": [
                    {
                      "code": "1721",
                      "id": 1447,
                      "lever": 5,
                      "name": "动能和势能的转化",
                      "parentCode": "1720"
                    },
                    {
                      "code": "1722",
                      "id": 1448,
                      "lever": 5,
                      "name": "机械能及其转化",
                      "parentCode": "1720"
                    },
                    {
                      "code": "1723",
                      "id": 1449,
                      "lever": 5,
                      "name": "水能风能的利用",
                      "parentCode": "1720"
                    },
                    {
                      "code": "1724",
                      "id": 1450,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1720"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节机械能及其转化",
                  "parentCode": "1494"
                }
              ],
              "lever": 3,
              "name": "第十一章功和机械能",
              "parentCode": "1487"
            },
            {
              "code": "1495",
              "id": 1221,
              "knowPoints": [
                {
                  "code": "1725",
                  "id": 1451,
                  "knowPoints": [
                    {
                      "code": "1726",
                      "id": 1452,
                      "lever": 5,
                      "name": "跷跷板中的科学",
                      "parentCode": "1725"
                    },
                    {
                      "code": "1727",
                      "id": 1453,
                      "lever": 5,
                      "name": "杠杆",
                      "parentCode": "1725"
                    },
                    {
                      "code": "1728",
                      "id": 1454,
                      "lever": 5,
                      "name": "杠杆的平衡条件",
                      "parentCode": "1725"
                    },
                    {
                      "code": "1729",
                      "id": 1455,
                      "lever": 5,
                      "name": "生活中的杠杆",
                      "parentCode": "1725"
                    },
                    {
                      "code": "1730",
                      "id": 1456,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1725"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节杠杆",
                  "parentCode": "1495"
                },
                {
                  "code": "1731",
                  "id": 1457,
                  "knowPoints": [
                    {
                      "code": "1732",
                      "id": 1458,
                      "lever": 5,
                      "name": "滑轮",
                      "parentCode": "1731"
                    },
                    {
                      "code": "1733",
                      "id": 1459,
                      "lever": 5,
                      "name": "定滑轮和动滑轮",
                      "parentCode": "1731"
                    },
                    {
                      "code": "1734",
                      "id": 1460,
                      "lever": 5,
                      "name": "定滑轮和动滑轮",
                      "parentCode": "1731"
                    },
                    {
                      "code": "1735",
                      "id": 1461,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1731"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节滑轮",
                  "parentCode": "1495"
                },
                {
                  "code": "1736",
                  "id": 1462,
                  "knowPoints": [
                    {
                      "code": "1737",
                      "id": 1463,
                      "lever": 5,
                      "name": "机械的效率",
                      "parentCode": "1736"
                    },
                    {
                      "code": "1738",
                      "id": 1464,
                      "lever": 5,
                      "name": "有用功和额外功",
                      "parentCode": "1736"
                    },
                    {
                      "code": "1739",
                      "id": 1465,
                      "lever": 5,
                      "name": "机械效率",
                      "parentCode": "1736"
                    },
                    {
                      "code": "1740",
                      "id": 1466,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1736"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节机械效率",
                  "parentCode": "1495"
                }
              ],
              "lever": 3,
              "name": "第十二章简单的机械",
              "parentCode": "1487"
            }
          ],
          "lever": 2,
          "name": "八年级下",
          "parentCode": "1"
        },
        {
          "code": "1488",
          "id": 1214,
          "knowPoints": [
            {
              "code": "1489",
              "id": 1215,
              "knowPoints": [
                {
                  "code": "1741",
                  "id": 1467,
                  "knowPoints": [
                    {
                      "code": "1742",
                      "id": 1468,
                      "lever": 5,
                      "name": "气味的传播",
                      "parentCode": "1741"
                    },
                    {
                      "code": "1743",
                      "id": 1469,
                      "lever": 5,
                      "name": "物质的构成",
                      "parentCode": "1741"
                    },
                    {
                      "code": "1744",
                      "id": 1470,
                      "lever": 5,
                      "name": "分子热运动",
                      "parentCode": "1741"
                    },
                    {
                      "code": "1745",
                      "id": 1471,
                      "lever": 5,
                      "name": "分子间的作用力",
                      "parentCode": "1741"
                    },
                    {
                      "code": "1746",
                      "id": 1472,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1741"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节分子热运动",
                  "parentCode": "1489"
                },
                {
                  "code": "1747",
                  "id": 1473,
                  "knowPoints": [
                    {
                      "code": "1748",
                      "id": 1474,
                      "lever": 5,
                      "name": "内能",
                      "parentCode": "1747"
                    },
                    {
                      "code": "1749",
                      "id": 1475,
                      "lever": 5,
                      "name": "物质内能的改变",
                      "parentCode": "1747"
                    },
                    {
                      "code": "1750",
                      "id": 1476,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1747"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节内能",
                  "parentCode": "1489"
                },
                {
                  "code": "1751",
                  "id": 1477,
                  "knowPoints": [
                    {
                      "code": "1752",
                      "id": 1478,
                      "lever": 5,
                      "name": "海水和沙滩",
                      "parentCode": "1751"
                    },
                    {
                      "code": "1753",
                      "id": 1479,
                      "lever": 5,
                      "name": "水和砂石的吸热情况",
                      "parentCode": "1751"
                    },
                    {
                      "code": "1754",
                      "id": 1480,
                      "lever": 5,
                      "name": "水和食用油的吸热情况",
                      "parentCode": "1751"
                    },
                    {
                      "code": "1755",
                      "id": 1481,
                      "lever": 5,
                      "name": "比热容",
                      "parentCode": "1751"
                    },
                    {
                      "code": "1756",
                      "id": 1482,
                      "lever": 5,
                      "name": "比热的应用",
                      "parentCode": "1751"
                    },
                    {
                      "code": "1757",
                      "id": 1483,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1751"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节比热容",
                  "parentCode": "1489"
                }
              ],
              "lever": 3,
              "name": "第十三章内能",
              "parentCode": "1488"
            },
            {
              "code": "1496",
              "id": 1222,
              "knowPoints": [
                {
                  "code": "1758",
                  "id": 1484,
                  "knowPoints": [
                    {
                      "code": "1759",
                      "id": 1485,
                      "lever": 5,
                      "name": "汽车的心脏",
                      "parentCode": "1758"
                    },
                    {
                      "code": "1760",
                      "id": 1486,
                      "lever": 5,
                      "name": "热机",
                      "parentCode": "1758"
                    },
                    {
                      "code": "1761",
                      "id": 1487,
                      "lever": 5,
                      "name": "汽油机和柴油机",
                      "parentCode": "1758"
                    },
                    {
                      "code": "1762",
                      "id": 1488,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1758"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节热机",
                  "parentCode": "1496"
                },
                {
                  "code": "1763",
                  "id": 1489,
                  "knowPoints": [
                    {
                      "code": "1764",
                      "id": 1490,
                      "lever": 5,
                      "name": "燃料中的能量",
                      "parentCode": "1763"
                    },
                    {
                      "code": "1765",
                      "id": 1491,
                      "lever": 5,
                      "name": "燃料的热值",
                      "parentCode": "1763"
                    },
                    {
                      "code": "1766",
                      "id": 1492,
                      "lever": 5,
                      "name": "热机的效率",
                      "parentCode": "1763"
                    },
                    {
                      "code": "1767",
                      "id": 1493,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1763"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节热机效率",
                  "parentCode": "1496"
                },
                {
                  "code": "1768",
                  "id": 1494,
                  "knowPoints": [
                    {
                      "code": "1769",
                      "id": 1495,
                      "lever": 5,
                      "name": "永动机之梦",
                      "parentCode": "1768"
                    },
                    {
                      "code": "1770",
                      "id": 1496,
                      "lever": 5,
                      "name": "能量的转化和守恒",
                      "parentCode": "1768"
                    },
                    {
                      "code": "1771",
                      "id": 1497,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1768"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节能量的转化和守恒",
                  "parentCode": "1496"
                }
              ],
              "lever": 3,
              "name": "第十四章内能的利用",
              "parentCode": "1488"
            },
            {
              "code": "1497",
              "id": 1223,
              "knowPoints": [
                {
                  "code": "1772",
                  "id": 1498,
                  "knowPoints": [
                    {
                      "code": "1773",
                      "id": 1499,
                      "lever": 5,
                      "name": "两种电荷",
                      "parentCode": "1772"
                    },
                    {
                      "code": "1774",
                      "id": 1500,
                      "lever": 5,
                      "name": "原子及其结构",
                      "parentCode": "1772"
                    },
                    {
                      "code": "1775",
                      "id": 1501,
                      "lever": 5,
                      "name": "导体和绝缘体",
                      "parentCode": "1772"
                    },
                    {
                      "code": "1776",
                      "id": 1502,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1772"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节两种电荷",
                  "parentCode": "1497"
                },
                {
                  "code": "1777",
                  "id": 1503,
                  "knowPoints": [
                    {
                      "code": "1778",
                      "id": 1504,
                      "lever": 5,
                      "name": "电流",
                      "parentCode": "1777"
                    },
                    {
                      "code": "1779",
                      "id": 1505,
                      "lever": 5,
                      "name": "电路和电路图",
                      "parentCode": "1777"
                    },
                    {
                      "code": "1780",
                      "id": 1506,
                      "lever": 5,
                      "name": "通路 断路 短路",
                      "parentCode": "1777"
                    },
                    {
                      "code": "1781",
                      "id": 1507,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1777"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节电流和电路",
                  "parentCode": "1497"
                },
                {
                  "code": "1782",
                  "id": 1508,
                  "knowPoints": [
                    {
                      "code": "1783",
                      "id": 1509,
                      "lever": 5,
                      "name": "串联和并联",
                      "parentCode": "1782"
                    },
                    {
                      "code": "1784",
                      "id": 1510,
                      "lever": 5,
                      "name": "连接串联电路和并联电路",
                      "parentCode": "1782"
                    },
                    {
                      "code": "1785",
                      "id": 1511,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1782"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节串联和并联",
                  "parentCode": "1497"
                },
                {
                  "code": "1786",
                  "id": 1512,
                  "knowPoints": [
                    {
                      "code": "1787",
                      "id": 1513,
                      "lever": 5,
                      "name": "电流的强弱",
                      "parentCode": "1786"
                    },
                    {
                      "code": "1788",
                      "id": 1514,
                      "lever": 5,
                      "name": "电流的测量",
                      "parentCode": "1786"
                    },
                    {
                      "code": "1789",
                      "id": 1515,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1786"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节电流的测量",
                  "parentCode": "1497"
                },
                {
                  "code": "1790",
                  "id": 1516,
                  "knowPoints": [
                    {
                      "code": "1791",
                      "id": 1517,
                      "lever": 5,
                      "name": "串联电路的电流规律",
                      "parentCode": "1790"
                    },
                    {
                      "code": "1792",
                      "id": 1518,
                      "lever": 5,
                      "name": "并联电路的电流规律",
                      "parentCode": "1790"
                    },
                    {
                      "code": "1793",
                      "id": 1519,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1790"
                    }
                  ],
                  "lever": 4,
                  "name": "第五节串并联电路中电流的规律",
                  "parentCode": "1497"
                }
              ],
              "lever": 3,
              "name": "第十五章电流和电路",
              "parentCode": "1488"
            },
            {
              "code": "1498",
              "id": 1224,
              "knowPoints": [
                {
                  "code": "1794",
                  "id": 1520,
                  "knowPoints": [
                    {
                      "code": "1795",
                      "id": 1521,
                      "lever": 5,
                      "name": "电压",
                      "parentCode": "1794"
                    },
                    {
                      "code": "1796",
                      "id": 1522,
                      "lever": 5,
                      "name": "电压的测量",
                      "parentCode": "1794"
                    },
                    {
                      "code": "1797",
                      "id": 1523,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1794"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节电压",
                  "parentCode": "1498"
                },
                {
                  "code": "1798",
                  "id": 1524,
                  "knowPoints": [
                    {
                      "code": "1799",
                      "id": 1525,
                      "lever": 5,
                      "name": "串联电路的电压规律",
                      "parentCode": "1798"
                    },
                    {
                      "code": "1800",
                      "id": 1526,
                      "lever": 5,
                      "name": "并联电路的电压规律",
                      "parentCode": "1798"
                    },
                    {
                      "code": "1801",
                      "id": 1527,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1798"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节串、并联电路中电压的规律",
                  "parentCode": "1498"
                },
                {
                  "code": "1802",
                  "id": 1528,
                  "knowPoints": [
                    {
                      "code": "1803",
                      "id": 1529,
                      "lever": 5,
                      "name": "电阻",
                      "parentCode": "1802"
                    },
                    {
                      "code": "1804",
                      "id": 1530,
                      "lever": 5,
                      "name": "影响电阻大小的因素",
                      "parentCode": "1802"
                    },
                    {
                      "code": "1805",
                      "id": 1531,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1802"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节电阻",
                  "parentCode": "1498"
                },
                {
                  "code": "1806",
                  "id": 1532,
                  "knowPoints": [
                    {
                      "code": "1807",
                      "id": 1533,
                      "lever": 5,
                      "name": "变阻器",
                      "parentCode": "1806"
                    },
                    {
                      "code": "1808",
                      "id": 1534,
                      "lever": 5,
                      "name": "变阻器的应用",
                      "parentCode": "1806"
                    },
                    {
                      "code": "1809",
                      "id": 1535,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1806"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节变阻器",
                  "parentCode": "1498"
                }
              ],
              "lever": 3,
              "name": "第十六章电压 电阻",
              "parentCode": "1488"
            },
            {
              "code": "1499",
              "id": 1225,
              "knowPoints": [
                {
                  "code": "1810",
                  "id": 1536,
                  "knowPoints": [
                    {
                      "code": "1811",
                      "id": 1537,
                      "lever": 5,
                      "name": "探究电流与电压的关系",
                      "parentCode": "1810"
                    },
                    {
                      "code": "1812",
                      "id": 1538,
                      "lever": 5,
                      "name": "探究电流与电阻的关系",
                      "parentCode": "1810"
                    },
                    {
                      "code": "1813",
                      "id": 1539,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1810"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节电流与电压和电阻的关系",
                  "parentCode": "1499"
                },
                {
                  "code": "1814",
                  "id": 1540,
                  "knowPoints": [
                    {
                      "code": "1815",
                      "id": 1541,
                      "lever": 5,
                      "name": "欧姆定律",
                      "parentCode": "1814"
                    },
                    {
                      "code": "1816",
                      "id": 1542,
                      "lever": 5,
                      "name": "课外拓展",
                      "parentCode": "1814"
                    },
                    {
                      "code": "1817",
                      "id": 1543,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1814"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节欧姆定律",
                  "parentCode": "1499"
                },
                {
                  "code": "1818",
                  "id": 1544,
                  "knowPoints": [
                    {
                      "code": "1819",
                      "id": 1545,
                      "lever": 5,
                      "name": "电阻的测量",
                      "parentCode": "1818"
                    },
                    {
                      "code": "1820",
                      "id": 1546,
                      "lever": 5,
                      "name": "伏安法测电阻",
                      "parentCode": "1818"
                    },
                    {
                      "code": "1821",
                      "id": 1547,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1818"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节电阻的测量",
                  "parentCode": "1499"
                }
              ],
              "lever": 3,
              "name": "第十七章欧姆定律",
              "parentCode": "1488"
            },
            {
              "code": "1500",
              "id": 1226,
              "knowPoints": [
                {
                  "code": "1822",
                  "id": 1548,
                  "knowPoints": [
                    {
                      "code": "1823",
                      "id": 1549,
                      "lever": 5,
                      "name": "电能",
                      "parentCode": "1822"
                    },
                    {
                      "code": "1824",
                      "id": 1550,
                      "lever": 5,
                      "name": "电能的计量",
                      "parentCode": "1822"
                    },
                    {
                      "code": "1825",
                      "id": 1551,
                      "lever": 5,
                      "name": "电功",
                      "parentCode": "1822"
                    },
                    {
                      "code": "1826",
                      "id": 1552,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1822"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节电能 电功",
                  "parentCode": "1500"
                },
                {
                  "code": "1827",
                  "id": 1553,
                  "knowPoints": [
                    {
                      "code": "1828",
                      "id": 1554,
                      "lever": 5,
                      "name": "电功率",
                      "parentCode": "1827"
                    },
                    {
                      "code": "1829",
                      "id": 1555,
                      "lever": 5,
                      "name": "“千瓦时”的由来",
                      "parentCode": "1827"
                    },
                    {
                      "code": "1830",
                      "id": 1556,
                      "lever": 5,
                      "name": "额定电压 额定功率",
                      "parentCode": "1827"
                    },
                    {
                      "code": "1831",
                      "id": 1557,
                      "lever": 5,
                      "name": "电功率的测量",
                      "parentCode": "1827"
                    },
                    {
                      "code": "1832",
                      "id": 1558,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1827"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节电功率",
                  "parentCode": "1500"
                },
                {
                  "code": "1833",
                  "id": 1559,
                  "knowPoints": [
                    {
                      "code": "1834",
                      "id": 1560,
                      "lever": 5,
                      "name": "测量小灯泡的电功率",
                      "parentCode": "1833"
                    },
                    {
                      "code": "1835",
                      "id": 1561,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1833"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节测量小灯泡的电功率",
                  "parentCode": "1500"
                },
                {
                  "code": "1836",
                  "id": 1562,
                  "knowPoints": [
                    {
                      "code": "1837",
                      "id": 1563,
                      "lever": 5,
                      "name": "常见的电热器",
                      "parentCode": "1836"
                    },
                    {
                      "code": "1838",
                      "id": 1564,
                      "lever": 5,
                      "name": "电流的热效应",
                      "parentCode": "1836"
                    },
                    {
                      "code": "1839",
                      "id": 1565,
                      "lever": 5,
                      "name": "焦耳定律",
                      "parentCode": "1836"
                    },
                    {
                      "code": "1840",
                      "id": 1566,
                      "lever": 5,
                      "name": "电热的利用和防止",
                      "parentCode": "1836"
                    },
                    {
                      "code": "1841",
                      "id": 1567,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1836"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节焦耳定律",
                  "parentCode": "1500"
                }
              ],
              "lever": 3,
              "name": "第十八章电功率",
              "parentCode": "1488"
            },
            {
              "code": "1501",
              "id": 1227,
              "knowPoints": [
                {
                  "code": "1842",
                  "id": 1568,
                  "knowPoints": [
                    {
                      "code": "1843",
                      "id": 1569,
                      "lever": 5,
                      "name": "家庭电路的组成",
                      "parentCode": "1842"
                    },
                    {
                      "code": "1844",
                      "id": 1570,
                      "lever": 5,
                      "name": "火线和零线",
                      "parentCode": "1842"
                    },
                    {
                      "code": "1845",
                      "id": 1571,
                      "lever": 5,
                      "name": "三线插头和漏电保护器",
                      "parentCode": "1842"
                    },
                    {
                      "code": "1846",
                      "id": 1572,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1842"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节家庭电路",
                  "parentCode": "1501"
                },
                {
                  "code": "1847",
                  "id": 1573,
                  "knowPoints": [
                    {
                      "code": "1848",
                      "id": 1574,
                      "lever": 5,
                      "name": "家用电器的总功率对家庭电路的影响",
                      "parentCode": "1847"
                    },
                    {
                      "code": "1849",
                      "id": 1575,
                      "lever": 5,
                      "name": "短路对家庭电路的影响",
                      "parentCode": "1847"
                    },
                    {
                      "code": "1850",
                      "id": 1576,
                      "lever": 5,
                      "name": "保险丝的作用",
                      "parentCode": "1847"
                    },
                    {
                      "code": "1851",
                      "id": 1577,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1847"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节家庭电路中电流过大的原因",
                  "parentCode": "1501"
                },
                {
                  "code": "1852",
                  "id": 1578,
                  "knowPoints": [
                    {
                      "code": "1853",
                      "id": 1579,
                      "lever": 5,
                      "name": "电压越高越危险",
                      "parentCode": "1852"
                    },
                    {
                      "code": "1854",
                      "id": 1580,
                      "lever": 5,
                      "name": "常见的触电事故",
                      "parentCode": "1852"
                    },
                    {
                      "code": "1855",
                      "id": 1581,
                      "lever": 5,
                      "name": "安全用电原则",
                      "parentCode": "1852"
                    },
                    {
                      "code": "1856",
                      "id": 1582,
                      "lever": 5,
                      "name": "注意防雷",
                      "parentCode": "1852"
                    },
                    {
                      "code": "1857",
                      "id": 1583,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1852"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节安全用电",
                  "parentCode": "1501"
                }
              ],
              "lever": 3,
              "name": "第十九章生活用电",
              "parentCode": "1488"
            },
            {
              "code": "1502",
              "id": 1228,
              "knowPoints": [
                {
                  "code": "1858",
                  "id": 1584,
                  "knowPoints": [
                    {
                      "code": "1859",
                      "id": 1585,
                      "lever": 5,
                      "name": "动物罗盘",
                      "parentCode": "1858"
                    },
                    {
                      "code": "1860",
                      "id": 1586,
                      "lever": 5,
                      "name": "磁现象",
                      "parentCode": "1858"
                    },
                    {
                      "code": "1861",
                      "id": 1587,
                      "lever": 5,
                      "name": "磁场",
                      "parentCode": "1858"
                    },
                    {
                      "code": "1862",
                      "id": 1588,
                      "lever": 5,
                      "name": "地磁场",
                      "parentCode": "1858"
                    },
                    {
                      "code": "1863",
                      "id": 1589,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1858"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节磁现象 磁场",
                  "parentCode": "1502"
                },
                {
                  "code": "1864",
                  "id": 1590,
                  "knowPoints": [
                    {
                      "code": "1865",
                      "id": 1591,
                      "lever": 5,
                      "name": "电流的磁效应",
                      "parentCode": "1864"
                    },
                    {
                      "code": "1866",
                      "id": 1592,
                      "lever": 5,
                      "name": "通电螺线管的磁场",
                      "parentCode": "1864"
                    },
                    {
                      "code": "1867",
                      "id": 1593,
                      "lever": 5,
                      "name": "安培定则",
                      "parentCode": "1864"
                    },
                    {
                      "code": "1868",
                      "id": 1594,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1864"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节电生磁",
                  "parentCode": "1502"
                },
                {
                  "code": "1869",
                  "id": 1595,
                  "knowPoints": [
                    {
                      "code": "1870",
                      "id": 1596,
                      "lever": 5,
                      "name": "电磁铁",
                      "parentCode": "1869"
                    },
                    {
                      "code": "1871",
                      "id": 1597,
                      "lever": 5,
                      "name": "电磁铁的磁性",
                      "parentCode": "1869"
                    },
                    {
                      "code": "1872",
                      "id": 1598,
                      "lever": 5,
                      "name": "电磁继电器",
                      "parentCode": "1869"
                    },
                    {
                      "code": "1873",
                      "id": 1599,
                      "lever": 5,
                      "name": "水位自动报警器",
                      "parentCode": "1869"
                    },
                    {
                      "code": "1874",
                      "id": 1600,
                      "lever": 5,
                      "name": "电铃",
                      "parentCode": "1869"
                    },
                    {
                      "code": "1875",
                      "id": 1601,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1869"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节电磁铁 电磁继电器",
                  "parentCode": "1502"
                },
                {
                  "code": "1876",
                  "id": 1602,
                  "knowPoints": [
                    {
                      "code": "1877",
                      "id": 1603,
                      "lever": 5,
                      "name": "磁场对通电导体的作用",
                      "parentCode": "1876"
                    },
                    {
                      "code": "1878",
                      "id": 1604,
                      "lever": 5,
                      "name": "电动机的基本构造",
                      "parentCode": "1876"
                    },
                    {
                      "code": "1879",
                      "id": 1605,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1876"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节电动机",
                  "parentCode": "1502"
                },
                {
                  "code": "1880",
                  "id": 1606,
                  "knowPoints": [
                    {
                      "code": "1881",
                      "id": 1607,
                      "lever": 5,
                      "name": "什么情况下磁能生电",
                      "parentCode": "1880"
                    },
                    {
                      "code": "1882",
                      "id": 1608,
                      "lever": 5,
                      "name": "发电机",
                      "parentCode": "1880"
                    },
                    {
                      "code": "1883",
                      "id": 1609,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1880"
                    }
                  ],
                  "lever": 4,
                  "name": "第五节磁生电",
                  "parentCode": "1502"
                }
              ],
              "lever": 3,
              "name": "第二十章电与磁",
              "parentCode": "1488"
            },
            {
              "code": "1503",
              "id": 1229,
              "knowPoints": [
                {
                  "code": "1884",
                  "id": 1610,
                  "knowPoints": [
                    {
                      "code": "1885",
                      "id": 1611,
                      "lever": 5,
                      "name": "信息传递的各种方法",
                      "parentCode": "1884"
                    },
                    {
                      "code": "1886",
                      "id": 1612,
                      "lever": 5,
                      "name": "用电流传递信息",
                      "parentCode": "1884"
                    },
                    {
                      "code": "1887",
                      "id": 1613,
                      "lever": 5,
                      "name": "电话交换机",
                      "parentCode": "1884"
                    },
                    {
                      "code": "1888",
                      "id": 1614,
                      "lever": 5,
                      "name": "模拟通信和数字通信",
                      "parentCode": "1884"
                    },
                    {
                      "code": "1889",
                      "id": 1615,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1884"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节电话",
                  "parentCode": "1503"
                },
                {
                  "code": "1890",
                  "id": 1616,
                  "knowPoints": [
                    {
                      "code": "1891",
                      "id": 1617,
                      "lever": 5,
                      "name": "电磁波与无线通信",
                      "parentCode": "1890"
                    },
                    {
                      "code": "1892",
                      "id": 1618,
                      "lever": 5,
                      "name": "电磁波的产生和传播",
                      "parentCode": "1890"
                    },
                    {
                      "code": "1893",
                      "id": 1619,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1890"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节电磁波的海洋",
                  "parentCode": "1503"
                },
                {
                  "code": "1894",
                  "id": 1620,
                  "knowPoints": [
                    {
                      "code": "1895",
                      "id": 1621,
                      "lever": 5,
                      "name": "声音图像的传输",
                      "parentCode": "1894"
                    },
                    {
                      "code": "1896",
                      "id": 1622,
                      "lever": 5,
                      "name": "广播和电视的发射和接收",
                      "parentCode": "1894"
                    },
                    {
                      "code": "1897",
                      "id": 1623,
                      "lever": 5,
                      "name": "移动电话",
                      "parentCode": "1894"
                    },
                    {
                      "code": "1898",
                      "id": 1624,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1894"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节广播、电视和移动通信",
                  "parentCode": "1503"
                },
                {
                  "code": "1899",
                  "id": 1625,
                  "knowPoints": [
                    {
                      "code": "1900",
                      "id": 1626,
                      "lever": 5,
                      "name": "信息之路",
                      "parentCode": "1899"
                    },
                    {
                      "code": "1901",
                      "id": 1627,
                      "lever": 5,
                      "name": "各种通信方式",
                      "parentCode": "1899"
                    },
                    {
                      "code": "1902",
                      "id": 1628,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1899"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节越来越宽的信息之路",
                  "parentCode": "1503"
                }
              ],
              "lever": 3,
              "name": "第二十一章信息的传递",
              "parentCode": "1488"
            },
            {
              "code": "1504",
              "id": 1230,
              "knowPoints": [
                {
                  "code": "1903",
                  "id": 1629,
                  "knowPoints": [
                    {
                      "code": "1904",
                      "id": 1630,
                      "lever": 5,
                      "name": "能量的来源",
                      "parentCode": "1903"
                    },
                    {
                      "code": "1905",
                      "id": 1631,
                      "lever": 5,
                      "name": "能源利用的历程",
                      "parentCode": "1903"
                    },
                    {
                      "code": "1906",
                      "id": 1632,
                      "lever": 5,
                      "name": "21世纪的能源趋势",
                      "parentCode": "1903"
                    },
                    {
                      "code": "1907",
                      "id": 1633,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1903"
                    }
                  ],
                  "lever": 4,
                  "name": "第一节能源",
                  "parentCode": "1504"
                },
                {
                  "code": "1908",
                  "id": 1634,
                  "knowPoints": [
                    {
                      "code": "1909",
                      "id": 1635,
                      "lever": 5,
                      "name": "核能",
                      "parentCode": "1908"
                    },
                    {
                      "code": "1910",
                      "id": 1636,
                      "lever": 5,
                      "name": "裂变和聚变",
                      "parentCode": "1908"
                    },
                    {
                      "code": "1911",
                      "id": 1637,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1908"
                    }
                  ],
                  "lever": 4,
                  "name": "第二节核能",
                  "parentCode": "1504"
                },
                {
                  "code": "1912",
                  "id": 1638,
                  "knowPoints": [
                    {
                      "code": "1913",
                      "id": 1639,
                      "lever": 5,
                      "name": "太阳-巨大的“核能火炉”",
                      "parentCode": "1912"
                    },
                    {
                      "code": "1914",
                      "id": 1640,
                      "lever": 5,
                      "name": "能源的宝库",
                      "parentCode": "1912"
                    },
                    {
                      "code": "1915",
                      "id": 1641,
                      "lever": 5,
                      "name": "太阳能的利用",
                      "parentCode": "1912"
                    },
                    {
                      "code": "1916",
                      "id": 1642,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1912"
                    }
                  ],
                  "lever": 4,
                  "name": "第三节太阳能",
                  "parentCode": "1504"
                },
                {
                  "code": "1917",
                  "id": 1643,
                  "knowPoints": [
                    {
                      "code": "1918",
                      "id": 1644,
                      "lever": 5,
                      "name": "能量转移和能量转化的方向性",
                      "parentCode": "1917"
                    },
                    {
                      "code": "1919",
                      "id": 1645,
                      "lever": 5,
                      "name": "能源消耗对环境的影响",
                      "parentCode": "1917"
                    },
                    {
                      "code": "1920",
                      "id": 1646,
                      "lever": 5,
                      "name": "能源和可持续发展",
                      "parentCode": "1917"
                    },
                    {
                      "code": "1921",
                      "id": 1647,
                      "lever": 5,
                      "name": "本节总结",
                      "parentCode": "1917"
                    }
                  ],
                  "lever": 4,
                  "name": "第四节能源与可持续发展",
                  "parentCode": "1504"
                }
              ],
              "lever": 3,
              "name": "第二十二章能源与可持续发展",
              "parentCode": "1488"
            }
          ],
          "lever": 2,
          "name": "九年级",
          "parentCode": "1"
        }
      ],
      "result": 0,
      "totalRec": 3
    };

    return _data;
  }


})();
