/**
 * Created by Administrator on 2016/9/1 0001.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('MessageCtrl', MainController);

  function MainController($scope,$httpFactory,$ionicHistory,$state,RouteData) {
    {
      var pageSize = 10;
      var currentPage = 1;
      $scope.messageList = [];
      $scope.hasNextPage = true;

      $scope.initMessage = initMessage;
      $scope.compareDate = compareDate;
      $scope.toInfo = toInfo;
    }

    function toInfo(message){
      if(message.isRead==0){
        var data = {
          content:JSON.stringify({
            readMsg:message.code
          })
        }
        $httpFactory.message.read(data).then(function(res){
          if(res.data.result == 0){

          }else{
            console.log(res.data.message);
          }
        });
      }
      RouteData.transcript = {message:message};
      $state.go('app.messageInfo');
    }

    function compareDate(nowDate,lastDate){
      if(!lastDate){
        return true;
      }
      var nowDate = new Date(nowDate);
      var lastDate = new Date(lastDate);
      if(nowDate.getMonth() != lastDate.getMonth()){
        return true;
      }
      if(nowDate.getDate() != lastDate.getDate()){
        return true;
      }
      return false;
    }

    function initMessage(){
      $httpFactory.message.list(pageSize,currentPage).then(function(res){
        currentPage++;
        if(res.data.result == 0){
          var messageList = res.data.object;
          $scope.messageList = $scope.messageList.concat(messageList);
          if(messageList.length < pageSize){
            $scope.hasNextPage = false;
          }
        }else{
          $ionicLoading.show({template:res.data.message});
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
      });
    }
  }

})();
