/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('AnalysisCtrl', MainController)

  /**
   * practice 练习
   * openSection 打开节-信息
   * questionRoot 打开节-题集
   * openQuestion 当前打开题
   */

  function MainController($scope, $state, localStorageService, RouteData) {

    {
      if (RouteData.analysis == null) {
        RouteData.analysis = localStorageService.get("analysis");
      }
      var questionRoot = RouteData.analysis.questionRoot;// 解析题集
      $scope.index = RouteData.analysis.index;// 解析题位置

      $scope.openSection = questionRoot;
      $scope.questions = questionRoot.data.object;// 题目列表
      showOption();// 显示题目

      $scope.openSection = localStorageService.get('openSection');// 打开-节(本地存储)

      $scope.up = up;
      $scope.next = next;
    }

    function up() {
      if ($scope.index == 1) {
        return;
      }

      $('.step li:nth-child(' + $scope.index + ')').removeClass('active');
      $('.step li:nth-child(' + $scope.index + ')').addClass('passive')
        .on("webkitAnimationEnd animationend", function () {
          $(this).removeClass('passive');
        });

      $scope.index = $scope.index - 1;
      showOption();
    }

    function next(option) {
      // $scope.openQuestion.userResult = option.id;// 登记用户作答
      // console.log($scope.index, $scope.openQuestion.result, $scope.openQuestion.userResult);
      $('.step li:nth-child(' + ($scope.index + 1) + ')').addClass('active');

      if ($scope.index == 5) {
        // submitTranscript();// 提交成绩单
        return;
      }

      $scope.index = $scope.index + 1;
      showOption();// 显示题目
    }

    /**
     * 显示题目
     */
    function showOption() {

      // 更新显示题目
      $scope.openQuestion = questionRoot.data.object[$scope.index - 1].question;

      // 更新尽头标记
      if($scope.index == 1){
        $scope.isUpEnd = true;
      }else if($scope.index == 5){
        $scope.isNextEnd = true;
      }else{
        $scope.isUpEnd= false;
        $scope.isNextEnd= false;
      }

    }

  }
})();
