/**
 * Created by Administrator on 2016/8/17.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('AboutCtrl', MainController);

  function MainController($scope, $state, $httpFactory, $cordovaAppVersion) {
    {
      $scope.isChoice = true;
      $scope.introduce = introduce;
      $scope.team = team;
      $scope.service = service;
      $scope.navBack = navBack;

      $scope.curVersion = "";
      if (!_app.curVersion) {
        loadVersion()
      } else {
        $scope.curVersion = "V " + _app.curVersion
      }
    }

    function loadVersion() {
      if (_app.isWeb) {
        return;
      }
      $cordovaAppVersion.getVersionNumber().then(function (version) {
        $scope.curVersion = "V " + version;
        _app.curVersion = version;
      });
    }

    /*软件介绍*/
    function introduce() {
      $state.go('app.introduce');
      my.log("软件介绍");
    }

    /*制作团队*/
    function team() {
      $state.go('app.team');
      my.log("制作团队");
    }

    /*客服热线*/
    function service() {
      my.log("客服热线");
    }

    /*返回主页*/
    function navBack() {
      $state.go('app.setting');
    }
  }

})();
