/**
 * Created by Administrator on 2016/9/1.
 */
(function () {
  'use strict';

  angular.module('starter')
    .controller('WelcomeCtrl', MainController);

  function MainController($scope, LoginFactory, $timeout, $state, $ionicHistory, RouteData) {
    {
      initAnim();// 初始化动画

      $scope.isOneLogin = true;
       //LoginFactory.initLoginModal($rootScope);

      $ionicHistory.nextViewOptions({historyRoot: true});
      RouteData.welcome = {after: true};// 已经过

      $scope.isAndrois = _app.isAndroid?true:false;
    }

    function initAnim() {
      $timeout(function () {
        // 苹果掉落
        angular.element(document.querySelector('.apple_down_d')).addClass('down')
          .on("webkitTransitionEnd", function () {

            // 1.表情变化
            angular.element(document.querySelector('.head>img'))
              .attr('src', 'img/welcome/head_2.png');

            // 2.消失苹果
            angular.element(document.querySelector('.apple_down_d')).css('opacity', 0)
              .on("webkitTransitionEnd", function () {
                // 3.想法
                angular.element(document.querySelector('.idea_1d')).css('opacity', 1);

                $timeout(function () {
                  angular.element(document.querySelector('.idea_1d')).css('opacity', 0);
                  angular.element(document.querySelector('.idea_2d')).css('opacity', 1);
                  angular.element(document.querySelector('.idea_3d')).css('opacity', 1)
                    .on("webkitTransitionEnd", function () {
                      // 5. 登录显示
                      angular.element(document.querySelector('.next_choice')).css('opacity', 1);
                    });

                  // 4.表情变化
                  angular.element(document.querySelector('.head>img')).attr('src', 'img/welcome/head_3.png');
                }, 1000);
              });
          });

      }, 1800);
    }
  }
})();
