/**
 * Created by Administrator on 2016/8/19 0019.
 */
(function () {
  'use strict';

  angular.module('starter')
    .factory('HomeDataFactory', MainFactory)

  function MainFactory() {

    var book8a = {
      bookname: '八年级 上',
      chapters: [
        {
          chapter: '1',
          name: '力8a',
          sections: [
            {
              pic: 'img/home/1.png', color: '', name: '长度和时间的测量',
              points: [
                {pointname: '长度的单位1'},
                {pointname: '长度的单位2'},
                {pointname: '长度的单位3'},
                {pointname: '长度的单位4'}
              ]
            },
            {
              pic: 'img/home/2.png', color: '', name: '运动的描述',
              points: [
                {pointname: '长度的单位1', isRead: true},
                {pointname: '长度的单位2', isRead: true},
                {pointname: '长度的单位3'},
                {pointname: '长度的单位4'}
              ]
            },
            {
              pic: 'img/home/3.png', color: '', name: '运动的快慢',
              points: [
                {pointname: '长度的单位1', isRead: true},
                {pointname: '长度的单位2', isRead: true},
                {pointname: '长度的单位3'},
                {pointname: '长度的单位4'}
              ]
            },
            {
              pic: 'img/home/4.png', color: '#00a2e8', name: '测量平均速度',
              points: [
                {pointname: '长度的单位1', isRead: true},
                {pointname: '长度的单位2', isRead: true},
                {pointname: '长度的单位3'},
                {pointname: '长度的单位4'}
              ]
            },
            {
              pic: 'img/home/lan.png', color: '#00a2e8', name: '测量平均速度',
              points: [
                {pointname: '长度的单位1', isRead: true},
                {pointname: '长度的单位2', isRead: true},
                {pointname: '长度的单位3'},
                {pointname: '长度的单位4'}
              ]
            }
          ]
        },
        {
          chapter: '2', name: '声现象8a',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
          ]
        },
        {
          chapter: '3', name: 'xxx',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'}
          ]
        },
        {
          chapter: '4', name: 'xxx',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'},
            {pic: 'img/home/fen.png', name: '运动的快慢'}
          ]
        },
        {
          chapter: '5', name: 'xxx',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'},
            {pic: 'img/home/fen.png', name: '运动的快慢'},
            {pic: 'img/home/lan.png', name: '测量平均速度'}
          ]
        },
        {
          chapter: '5', name: 'xxx',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'},
            {pic: 'img/home/fen.png', name: '运动的快慢'},
            {pic: 'img/home/lan.png', name: '测量平均速度'},
            {pic: 'img/home/fen.png', name: '运动的快慢'},
            {pic: 'img/home/lan.png', name: '测量平均速度'}
          ]
        }
      ]
    }

    var book8b = {
      bookname: '八年级 下',
      chapters: [
        {
          chapter: '1',
          name: '力8b',
          sections: [
            {pic: 'img/home/cheng.png', color: '#ff7f27', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', color: '#b5e61d', name: '运动的描述'},
            {pic: 'img/home/fen.png', color: '#ffaec9', name: '运动的快慢'},
            {pic: 'img/home/lan.png', color: '#00a2e8', name: '测量平均速度'},
            {pic: 'img/home/lan.png', color: '#00a2e8', name: '测量平均速度'}
          ]
        },
        {
          chapter: '2', name: '声现象8b',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'}
          ]
        },
        {
          chapter: '3', name: 'xxx',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'},
            {pic: 'img/home/fen.png', name: '运动的快慢'},
            {pic: 'img/home/lan.png', name: '测量平均速度'}
          ]
        },
      ]
    }

    var book9 = {
      bookname: '九年级',
      chapters: [
        {
          chapter: '1',
          name: '力9',
          sections: [
            {pic: 'img/home/cheng.png', color: '#ff7f27', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', color: '#b5e61d', name: '运动的描述'},
            {pic: 'img/home/fen.png', color: '#ffaec9', name: '运动的快慢'},
            {pic: 'img/home/lan.png', color: '#00a2e8', name: '测量平均速度'},
            {pic: 'img/home/lan.png', color: '#00a2e8', name: '测量平均速度'}
          ]
        },
        {
          chapter: '2', name: '声现象9',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'}
          ]
        },
        {
          chapter: '3', name: 'xxx',
          sections: [
            {pic: 'img/home/cheng.png', name: '长度和时间的测量'},
            {pic: 'img/home/lv.png', name: '运动的描述'},
            {pic: 'img/home/fen.png', name: '运动的快慢'},
            {pic: 'img/home/lan.png', name: '测量平均速度'}
          ]
        },
      ]
    }

    var _data = {
      books: [book8a, book8b, book9]
    }

    return _data;
  }


})();
