/**
 * Created by Administrator on 2016/9/3 0003.
 */
(function(){
  'use strict';

  angular
    .module('starter')
    .controller('RichCtrl',MainCtrl);

  function MainCtrl($scope,$httpFactory,$ionicLoading){
    {
      var pageSize = 10;
      var currentPage = 1;
      $scope.hasNextPage = true;
      $scope.richList = []

      $scope.user = appv.currentUser;
      $scope.bookGold = appv.bookGold;
      $scope.getRichList = getRichList;
    }

    function getRichList(){
      $httpFactory.gold.richList(pageSize,currentPage).then(function(res){
        currentPage++;
        if(res.data.result == 0){
          $scope.user.rank = res.data.object.myRanking;
          var richList = res.data.object.richList;
          $scope.richList = $scope.richList.concat(richList);   //数据拼接

          if(pageSize > richList.length || currentPage > 10){
            $scope.hasNextPage = false;
          }
        }else{
          $ionicLoading.show({template:res.data.message});
        }
        $scope.$broadcast('scroll.infiniteScrollComplete');
      });
    }
  }
})();
