/**
 * Created by qiumy on 2016/8/23.
 */
/* 点击按钮呈现水波扩散效果 class包含bobo即可 */
(function (window) {
  var bobo = window._bobo || {};
  var containers, canvas = {};

  bobo.init = function () {
    containers = document.getElementsByClassName('bobo');
    containers = Array.prototype.slice.call(containers);
    for (var i = 0; i < containers.length; i += 1) {
      canvas = document.createElement('canvas');
      var anim = new AnimObj();
      canvas.addEventListener('click', anim.press.bind(anim), false);
      containers[i].appendChild(canvas);

      canvas.style.width = '100%';
      canvas.style.height = '100%';
      canvas.width = canvas.offsetWidth;
      canvas.height = canvas.offsetHeight;
    }
  };

  var AnimObj = function () {
    var centerX = 0,
      centerY = 0,
      color = '',
      context = {},
      element = {},
      radius = 0,
      speed = 4,
      width = 0,
      height = 0,
      synch = false,
      flag = false;
    this.requestAnimFrame = function (callback) {
      window.setTimeout(callback, 1000 / 60);
    };
    this.press = function (event) {
      if (this.synch) {
        return;
      }
      this.synch = true;
      color = event.toElement.parentElement.dataset.color;
      element = event.toElement;
      width = event.toElement.width;
      height = event.toElement.height;

      context = element.getContext('2d');
      centerX = event.offsetX;
      centerY = event.offsetY;
      context.clearRect(0, 0, width, height);
      if (flag) {
        radius = width;
        this.draw2();
      } else {
        radius = 0;
        this.draw();
      }
      flag = !flag;
    };
    this.draw = function () {
      context.beginPath();
      if (radius >= width) {
        radius = width;
      }
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = color;
      context.fill();

      if (radius < width) {
        radius += speed;
        this.requestAnimFrame(this.draw.bind(this));
      } else {
        this.synch = false;
      }
    };
    this.draw2 = function () {
      context.clearRect(0, 0, width, height);
      context.beginPath();
      if (radius < 0) {
        radius = 0;
      }
      context.arc(centerX, centerY, radius, 0, 2 * Math.PI, false);
      context.fillStyle = color;
      context.fill();

      if (radius > 0) {
        radius -= speed;
        this.requestAnimFrame(this.draw2.bind(this));
      } else {
        this.synch = false;
      }
    };
  };
  window._bobo = bobo;
})(window);
