/**
 * Created by Administrator on 2016/8/17 0017.
 */

angular.module('starter')
  .config(config)
  .constant('$ionicLoadingConfig', {template: 'Loading ...', duration: 1000});

function config($stateProvider, $httpProvider, $urlRouterProvider, $ionicConfigProvider, localStorageServiceProvider) {

  $ionicConfigProvider.views.transition('none');// 关闭动画

  /**
   * back => 返回 => &emsp;空白符保留触键区域
   *
   * setPlatformConfig('default'
   * setPlatformConfig('android'
   * setPlatformConfig('ios'  => iOS (it is the default already)
   */
  $ionicConfigProvider.platform.default.backButton.text('&emsp;&emsp;');
  $ionicConfigProvider.platform.android.backButton.text('&emsp;&emsp;');

  $ionicConfigProvider.platform.default.backButton.previousTitleText('');
  $ionicConfigProvider.platform.android.backButton.previousTitleText('');

  // 统一返回图标
  // $ionicConfigProvider.platform.android.backButton.icon($ionicConfigProvider.platform.default.backButton.icon);

  // 解决android设备中标题居左,未居中情况
  $ionicConfigProvider.platform.android.navBar.alignTitle($ionicConfigProvider.platform.default.navBar.alignTitle);

  /** 拦截器 */
  // $httpProvider.interceptors.push(function ($q) {
  //   return {
  //     'request': function (config) {
  //       console.log('interceptorsRQ', config);
  //     },
  //     'response': function (response) {
  //       console.log('interceptorsRP', response);
  //     }
  //   };
  // });

  // 设置本地存储前缀
  // $localStorageProvider.setKeyPrefix('saixueba');
  localStorageServiceProvider.setPrefix('saixueba');

  $stateProvider
    .state('app', {
      url: '/app',
      abstract: true,
      templateUrl: 'app/app/menu.html',
      controller: 'AppCtrl'
    })

  // if none of the above states are matched, use this as the fallback
  // $urlRouterProvider.otherwise('/app/home');

  if (localStorage.getItem("saixueba.isChoice") == 'true') {
    $urlRouterProvider.otherwise('/app/welcomeAgain');
  } else {
    $urlRouterProvider.otherwise('/app/welcome');
  }

}
