cordova.define("com.wosai.umeng.UmengService", function(require, exports, module) {
var cordova = require('cordova');

var UmengService = function () {
};

/**初始化--启动时调用*/
UmengService.prototype.init = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'init', [commandJson]);
};

/**手动恢复
 * {"pageName":"main"}
 * {"pageName":"register"}
 * {"pageName":"main"}
 * */
UmengService.prototype.resume = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'resume', [commandJson]);
};

/**手动暂停
 * {"pageName":"main"}
 * */
UmengService.prototype.pause = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'pause', [commandJson]);
};

/**设置debug模式
 * "true"
 * */
UmengService.prototype.debug = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'debug', ['true']);
};

/**进入页面
 * {"pageName":"main"}
 * */
UmengService.prototype.start = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'start', [commandJson]);
};

/**离开页面
 * {"pageName":"login"}
 * */
UmengService.prototype.end = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'end', [commandJson]);
};

/**更新帐号统计,区分第三方
 * {"count":1,"userId":"userID"}
 * {"count":2,"userId":"userID","thrid":"WeiXin"}
 * {"count":2,"userId":"userID","thrid":"WeiBo"}
 * {"count":2,"userId":"userID","thrid":"QQ"}
 * */
UmengService.prototype.updateSign = function (commandJson) {
  cordova.exec(null, null, 'UmengService', 'updateSign', [commandJson]);
};

console.log("加载友盟插件");
var umengService = new UmengService();
module.exports = umengService;

});
